Index: include/brlcad/Object.h
===================================================================
--- include/brlcad/Object.h	(revision 74453)
+++ include/brlcad/Object.h	(working copy)
@@ -45,37 +45,37 @@
 namespace BRLCAD {
     class BRLCAD_COREINTERFACE_EXPORT Object {
     public:
-        virtual ~Object(void) throw();
+        virtual ~Object(void);
 
         // works if both Objects are of the same derived class
-        virtual const Object& operator=(const Object& original) throw(bad_alloc) = 0;
+        virtual const Object& operator=(const Object& original)          = 0;
 
         // a virtual constructor which creates the right derived class
         // and the corresponding destructor
         // which keeps the memory management in a healthy state
-        virtual Object*       Clone(void) const throw(bad_alloc, std::bad_alloc) = 0;
-        void                  Destroy(void) throw();
+        virtual Object*       Clone(void) const                          = 0;
+        void                  Destroy(void);
 
         // these two functions can be used to determine the type of the object
-        static const char*    ClassName(void) throw();
-        virtual const char*   Type(void) const throw()                           = 0;
+        static const char*    ClassName(void);
+        virtual const char*   Type(void) const                           = 0;
 
         // Is this object functional?
-        virtual bool          IsValid(void) const throw()                        = 0;
+        virtual bool          IsValid(void) const                        = 0;
 
         // for all objects
-        const char*           Name(void) const throw();
-        void                  SetName(const char* name) throw(bad_alloc);
+        const char*           Name(void) const;
+        void                  SetName(const char* name);
 
 
         class BRLCAD_COREINTERFACE_EXPORT AttributeIterator {
         public:
-            AttributeIterator(const AttributeIterator& original) throw() : m_avs(original.m_avs),
-                                                                           m_searchKey(original.m_searchKey),
-                                                                           m_index(original.m_index) {}
-            ~AttributeIterator(void) throw() {}
+            AttributeIterator(const AttributeIterator& original): m_avs(original.m_avs),
+                                                                  m_searchKey(original.m_searchKey),
+                                                                  m_index(original.m_index) {}
+            ~AttributeIterator(void){}
 
-            const AttributeIterator& operator=(const AttributeIterator& original) throw() {
+            const AttributeIterator& operator=(const AttributeIterator& original){
                 m_avs       = original.m_avs;
                 m_searchKey = original.m_searchKey;
                 m_index     = original.m_index;
@@ -82,10 +82,10 @@
                 return *this;
             }
 
-            const AttributeIterator& operator++(void) throw();
-            bool                     Good(void) const throw();
-            const char*              Key(void) const throw();
-            const char*              Value(void) const throw();
+            const AttributeIterator& operator++(void);
+            bool                     Good(void) const;
+            const char*              Key(void) const;
+            const char*              Value(void) const;
 
         private:
             const bu_attribute_value_set* m_avs;
@@ -94,7 +94,7 @@
 
             AttributeIterator(const bu_attribute_value_set* avs,
                               const char*                   searchKey,
-                              size_t                        index) throw();
+                              size_t                        index);
 
             friend class Object;
 
@@ -102,16 +102,16 @@
         };
 
 
-        bool                  HasAttribute(const char* key) const throw();
-        AttributeIterator     FirstAttribute(void) const throw();                    ///> returns an iterator pointing on the first attribute
-        const char*           Attribute(const char* key) const throw();              ///> returns the value of the first attribute with this key
-        AttributeIterator     MultiAttribute(const char* key) const throw();         ///> returns an iterator pointing on the first attribute with this key
+        bool                  HasAttribute(const char* key) const;
+        AttributeIterator     FirstAttribute(void) const;                    ///> returns an iterator pointing on the first attribute
+        const char*           Attribute(const char* key) const;              ///> returns the value of the first attribute with this key
+        AttributeIterator     MultiAttribute(const char* key) const;         ///> returns an iterator pointing on the first attribute with this key
         void                  SetAttribute(const char* key,
-                                           const char* value) throw(bad_alloc);      ///> overwrites the attribute entry with this key or creates a new one if there is none
+                                           const char* value);               ///> overwrites the attribute entry with this key or creates a new one if there is none
         void                  AddMultiAttribute(const char* key,
-                                                const char* value) throw(bad_alloc); ///> creates an attribute entry with this values even if there exitsts already one with this key
-        void                  RemoveAttribute(const char* key) throw();              ///> removes the first attribute with this key
-        void                  ClearAttributes(void) throw();                         ///> removes all attributes
+                                                const char* value);          ///> creates an attribute entry with this values even if there exitsts already one with this key
+        void                  RemoveAttribute(const char* key);              ///> removes the first attribute with this key
+        void                  ClearAttributes(void);                         ///> removes all attributes
 
 
     protected:
@@ -120,15 +120,15 @@
         rt_db_internal* m_ip;
         db_i*           m_dbip;
 
-        Object(void) throw(bad_alloc);
+        Object(void);
         Object(resource*       resp,
                directory*      pDir,
                rt_db_internal* ip,
-               db_i*           dbip) throw();
-        Object(const Object& original) throw(bad_alloc);
+               db_i*           dbip);
+        Object(const Object& original);
 
-        void Copy(const Object& original) throw(bad_alloc);
-        bool Validate(void) const throw();
+        void Copy(const Object& original);
+        bool Validate(void) const;
 
     private:
         // holds Objects's name if not connected to a database
@@ -135,8 +135,8 @@
         char*                   m_name;
         bu_attribute_value_set* m_avs;
 
-        const bu_attribute_value_set* GetAvs(void) const throw();
-        bu_attribute_value_set*       GetAvs(bool create) throw();
+        const bu_attribute_value_set* GetAvs(void) const;
+        bu_attribute_value_set*       GetAvs(bool create);
 
         friend class Database;
     };
Index: include/brlcad/cicommon.h
===================================================================
--- include/brlcad/cicommon.h	(revision 74453)
+++ include/brlcad/cicommon.h	(working copy)
@@ -49,18 +49,18 @@
     struct Vector2D {
         double coordinates[2];
 
-        Vector2D(void) throw() {
+        Vector2D(void){
             coordinates[0] = 0.;
             coordinates[1] = 0.;
         }
 
-        Vector2D(const double vector[2]) throw() {
+        Vector2D(const double vector[2]){
             coordinates[0] = vector[0];
             coordinates[1] = vector[1];
         }
 
         Vector2D(double x,
-                 double y) throw() {
+                 double y){
             coordinates[0] = x;
             coordinates[1] = y;
         }
@@ -72,7 +72,7 @@
         Vector2D delta;
 
         Mapping2D(const Vector2D& pt,
-                  const Vector2D& dl) throw() : point(pt), delta(dl) {}
+                  const Vector2D& dl): point(pt), delta(dl) {}
     };
 
 
@@ -79,13 +79,13 @@
     struct Vector3D {
         double coordinates[3];
 
-        Vector3D(void) throw() {
+        Vector3D(void){
             coordinates[0] = 0.;
             coordinates[1] = 0.;
             coordinates[2] = 0.;
         }
 
-        Vector3D(const double vector[3]) throw() {
+        Vector3D(const double vector[3]){
             coordinates[0] = vector[0];
             coordinates[1] = vector[1];
             coordinates[2] = vector[2];
@@ -93,7 +93,7 @@
 
         Vector3D(double x,
                  double y,
-                 double z) throw() {
+                 double z){
             coordinates[0] = x;
             coordinates[1] = y;
             coordinates[2] = z;
@@ -114,13 +114,13 @@
 
         Curvature3D(const Vector3D& minDirection,
                     double          minCurvature,
-                    double          maxCurvature) throw() {
+                    double          maxCurvature){
             minPrincipalDirection = minDirection;
             minPrincipalCurvature = minCurvature;
             maxPrincipalCurvature = maxCurvature;
         }
 
-        Curvature3D(void) throw() : minPrincipalDirection(),
+        Curvature3D(void): minPrincipalDirection(),
                                     minPrincipalCurvature(0.),
                                     maxPrincipalCurvature(0.) {}
     };
@@ -128,11 +128,11 @@
 
     class bad_alloc : public std::bad_alloc {
     public:
-        bad_alloc(const char* hint) throw() : std::bad_alloc(), m_hint(hint) {}
+        bad_alloc(const char* hint): std::bad_alloc(), m_hint(hint) {}
 
-        bad_alloc(const bad_alloc& original) throw() : std::bad_alloc(original), m_hint(original.m_hint) {}
+        bad_alloc(const bad_alloc& original): std::bad_alloc(original), m_hint(original.m_hint) {}
 
-        virtual const bad_alloc& operator=(const bad_alloc& original) throw() {
+        virtual const bad_alloc& operator=(const bad_alloc& original){
             std::bad_alloc::operator=(original);
             m_hint = original.m_hint;
 
@@ -139,7 +139,7 @@
             return *this;
         }
 
-        virtual const char* what(void) const throw() {
+        virtual const char* what(void) const throw(){
             return m_hint;
         }
 
Index: src/coreInterface/Arb8.cpp
===================================================================
--- src/coreInterface/Arb8.cpp	(revision 74453)
+++ src/coreInterface/Arb8.cpp	(working copy)
@@ -49,7 +49,7 @@
 using namespace BRLCAD;
 
 
-Arb8::Arb8(void) throw(bad_alloc) : Object() {
+Arb8::Arb8(void): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -56,10 +56,8 @@
 
         SetPoints(Vector3D(0., 0., 0.), Vector3D(1., 1., 1.));
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -71,7 +69,7 @@
     const Vector3D& point2,
     const Vector3D& point3,
     const Vector3D& point4
-) throw(bad_alloc) : Object() {
+): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -78,10 +76,8 @@
 
         SetPoints(point1, point2, point3, point4);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -94,7 +90,7 @@
     const Vector3D& point3,
     const Vector3D& point4,
     const Vector3D& point5
-) throw(bad_alloc) : Object() {
+): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -101,10 +97,8 @@
 
         SetPoints(point1, point2, point3, point4, point5);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -118,7 +112,7 @@
     const Vector3D& point4,
     const Vector3D& point5,
     const Vector3D& point6
-) throw(bad_alloc) : Object() {
+): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -125,10 +119,8 @@
 
         SetPoints(point1, point2, point3, point4, point5, point6);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -143,7 +135,7 @@
     const Vector3D& point5,
     const Vector3D& point6,
     const Vector3D& point7
-) throw(bad_alloc) : Object() {
+): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -150,10 +142,8 @@
 
         SetPoints(point1, point2, point3, point4, point5, point6, point7);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -169,7 +159,7 @@
     const Vector3D& point6,
     const Vector3D& point7,
     const Vector3D& point8
-) throw(bad_alloc) : Object() {
+): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -176,10 +166,8 @@
 
         SetPoints(point1, point2, point3, point4, point5, point6, point7, point8);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -189,7 +177,7 @@
 (
     const Vector3D& point1,
     const Vector3D& point2
-) throw(bad_alloc) : Object() {
+): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         m_internalp->magic = RT_ARB_INTERNAL_MAGIC;
@@ -196,10 +184,8 @@
 
         SetPoints(point1, point2);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
@@ -208,21 +194,19 @@
 Arb8::Arb8
 (
     const Arb8& original
-) throw(bad_alloc) : Object(original) {
+): Object(original) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_arb_internal);
         memcpy(m_internalp, original.Internal(), sizeof(rt_arb_internal));
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Arb8::Arb8");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-Arb8::~Arb8(void) throw() {
+Arb8::~Arb8(void){
     if (m_internalp != 0)
         bu_free(m_internalp, "BRLCAD::Arb8::~Arb8::m_internalp");
 }
@@ -231,7 +215,7 @@
 const Arb8& Arb8::operator=
 (
     const Arb8& original
-) throw(bad_alloc) {
+){
     if (&original != this) {
         Copy(original);
         memcpy(Internal()->pt, original.Internal()->pt, 8 * sizeof(point_t));
@@ -241,7 +225,7 @@
 }
 
 
-size_t Arb8::NumberOfVertices(void) const throw() {
+size_t Arb8::NumberOfVertices(void) const{
     size_t ret = 0;
 
     rt_db_internal intern;
@@ -296,7 +280,7 @@
 Vector3D Arb8::Point
 (
     size_t number
-) const throw() {
+) const{
     Vector3D ret;
 
     assert((number > 0) && (number < 9));
@@ -319,7 +303,7 @@
 (
     size_t    number,
     Vector3D& point
-) throw() {
+){
     assert((number > 0) && (number < 9));
 
     if ((number > 0) && (number < 9)) {
@@ -357,7 +341,7 @@
 Vector3D Arb8::RawPoint
 (
     size_t index
-) const throw() {
+) const{
     Vector3D ret;
 
     assert(index < 8);
@@ -374,7 +358,7 @@
 (
     size_t    index,
     Vector3D& point
-) throw() {
+){
     assert(index < 8);
 
     if (index < 8) {
@@ -389,7 +373,7 @@
     const Vector3D& point2,
     const Vector3D& point3,
     const Vector3D& point4
-) throw() {
+){
     rt_arb_internal* internalp = Internal();
 
     VMOVE(internalp->pt[0], point1.coordinates);
@@ -410,7 +394,7 @@
     const Vector3D& point3,
     const Vector3D& point4,
     const Vector3D& point5
-) throw() {
+){
     rt_arb_internal* internalp = Internal();
 
     VMOVE(internalp->pt[0], point1.coordinates);
@@ -432,7 +416,7 @@
     const Vector3D& point4,
     const Vector3D& point5,
     const Vector3D& point6
-) throw() {
+){
     rt_arb_internal* internalp = Internal();
 
     VMOVE(internalp->pt[0], point1.coordinates);
@@ -455,7 +439,7 @@
     const Vector3D& point5,
     const Vector3D& point6,
     const Vector3D& point7
-) throw() {
+){
     rt_arb_internal* internalp = Internal();
 
     VMOVE(internalp->pt[0], point1.coordinates);
@@ -479,7 +463,7 @@
     const Vector3D& point6,
     const Vector3D& point7,
     const Vector3D& point8
-) throw() {
+){
     rt_arb_internal* internalp = Internal();
 
     VMOVE(internalp->pt[0], point1.coordinates);
@@ -497,7 +481,7 @@
 (
     const Vector3D& point1,
     const Vector3D& point2
-) throw() {
+){
     double           minX      = std::min(point1.coordinates[0], point2.coordinates[0]);
     double           minY      = std::min(point1.coordinates[1], point2.coordinates[1]);
     double           minZ      = std::min(point1.coordinates[2], point2.coordinates[2]);
@@ -520,7 +504,7 @@
 const Object& Arb8::operator=
 (
     const Object& original
-) throw(bad_alloc) {
+){
     const Arb8* arb8 = dynamic_cast<const Arb8*>(&original);
     assert(arb8 != 0);
 
@@ -531,22 +515,22 @@
 }
 
 
-Object* Arb8::Clone(void) const throw(bad_alloc, std::bad_alloc) {
+Object* Arb8::Clone(void) const{
     return new Arb8(*this);
 }
 
 
-const char* Arb8::ClassName(void) throw() {
+const char* Arb8::ClassName(void){
     return "Arb8";
 }
 
 
-const char* Arb8::Type(void) const throw() {
+const char* Arb8::Type(void) const{
     return ClassName();
 }
 
 
-bool Arb8::IsValid(void) const throw() {
+bool Arb8::IsValid(void) const{
     enum FaceType {FT_4Sided, FT_Triangle, FT_Degenerated};
 
     bool                   ret                = Validate();
@@ -658,10 +642,10 @@
     directory*      pDir,
     rt_db_internal* ip,
     db_i*           dbip
-) throw() : Object(resp, pDir, ip, dbip), m_internalp(0) {}
+): Object(resp, pDir, ip, dbip), m_internalp(0) {}
 
 
-const rt_arb_internal* Arb8::Internal(void) const throw() {
+const rt_arb_internal* Arb8::Internal(void) const{
     const rt_arb_internal* ret;
 
     if (m_ip != 0)
@@ -675,7 +659,7 @@
 }
 
 
-rt_arb_internal* Arb8::Internal(void) throw() {
+rt_arb_internal* Arb8::Internal(void){
     rt_arb_internal* ret;
 
     if (m_ip != 0)
Index: src/coreInterface/BagOfTriangles.cpp
===================================================================
--- src/coreInterface/BagOfTriangles.cpp	(revision 74453)
+++ src/coreInterface/BagOfTriangles.cpp	(working copy)
@@ -461,17 +461,13 @@
 
 
 BagOfTriangles::BagOfTriangles
-(
-    void
-) throw(bad_alloc) : Object() {
+(void): Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_bot_internal);
         m_internalp->magic = RT_BOT_INTERNAL_MAGIC;
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::BagOfTriangles::BagOfTriangles()");
-    }
 
     BU_UNSETJUMP;
 }
@@ -480,13 +476,11 @@
 BagOfTriangles::BagOfTriangles
 (
     const BagOfTriangles& original
-) throw(bad_alloc) {
+){
     if (!BU_SETJUMP)
         m_internalp = CloneBotInternal(*original.Internal());
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::BagOfTriangles::BagOfTriangles()");
-    }
 
     BU_UNSETJUMP;
 }
@@ -495,7 +489,7 @@
 BagOfTriangles::~BagOfTriangles
 (
     void
-) throw() {
+){
     if (m_internalp != 0)
         FreeBotInternal(m_internalp);
 }
@@ -504,7 +498,7 @@
 const BagOfTriangles& BagOfTriangles::operator=
 (
     const BagOfTriangles& original
-) throw(bad_alloc) {
+){
     if (&original != this) {
         Copy(original);
 
@@ -514,10 +508,8 @@
 
             thisInternal = CloneBotInternal(*originalInternal);
         }
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLAD::BagOfTriangles::operator=()");
-        }
 
         BU_UNSETJUMP;
     }
@@ -529,7 +521,7 @@
 Vector3D BagOfTriangles::Face::Point
 (
     size_t index
-) const throw() {
+) const{
     assert(index < 3);
     assert(m_bot != 0);
 
@@ -549,7 +541,7 @@
 (
     size_t          index,
     const Vector3D& point
-) throw(bad_alloc) {
+){
     assert(index < 3);
     assert(m_bot != 0);
 
@@ -566,7 +558,7 @@
     const Vector3D& point1,
     const Vector3D& point2,
     const Vector3D& point3
-) throw(bad_alloc) {
+){
     assert(m_bot != 0);
 
     if (m_bot != 0) {
@@ -577,7 +569,7 @@
 }
 
 
-double BagOfTriangles::Face::Thickness(void) const throw() {
+double BagOfTriangles::Face::Thickness(void) const{
     assert(m_bot != 0);
     assert(m_bot->thickness != 0);
     assert(m_bot->mode != RT_BOT_SOLID);
@@ -595,7 +587,7 @@
 void BagOfTriangles::Face::SetThickness
 (
     double value
-) throw() {
+){
     assert(m_bot != 0);
     assert(m_bot->thickness != 0);
     assert(m_bot->mode != RT_BOT_SOLID);
@@ -610,7 +602,7 @@
 }
 
 
-bool BagOfTriangles::Face::ApendThickness(void) const throw() {
+bool BagOfTriangles::Face::ApendThickness(void) const{
     assert(m_bot != 0);
 
     bool ret = false;
@@ -625,7 +617,7 @@
 void BagOfTriangles::Face::SetApendThickness
 (
     bool apendThickness
-) throw() {
+){
     assert(m_bot != 0);
 
     if (m_bot != 0) {
@@ -643,7 +635,7 @@
 Vector3D BagOfTriangles::Face::Normal
 (
     size_t index
-) const throw() {
+) const{
     assert(m_bot != 0);
 
     Vector3D ret;
@@ -664,7 +656,7 @@
 (
     size_t          index,
     const Vector3D& normal
-) throw() {
+){
     assert(index < 3);
     assert(m_bot != 0);
 
@@ -683,7 +675,7 @@
     const Vector3D& normal1,
     const Vector3D& normal2,
     const Vector3D& normal3
-) throw(bad_alloc) {
+){
     assert(m_bot != 0);
 
     if (m_bot != 0) {
@@ -694,7 +686,7 @@
 }
 
 
-BagOfTriangles::BotMode BagOfTriangles::Mode(void) const throw() {
+BagOfTriangles::BotMode BagOfTriangles::Mode(void) const{
     BagOfTriangles::BotMode ret;
 
     switch (Internal()->mode) {
@@ -721,7 +713,7 @@
 void BagOfTriangles::SetMode
 (
     BotMode mode
-) throw(bad_alloc) {
+){
     switch (mode) {
         case Surface:
             Internal()->mode = RT_BOT_SURFACE;
@@ -741,7 +733,7 @@
 }
 
 
-BagOfTriangles::BotOrientation BagOfTriangles::Orientation(void) const throw() {
+BagOfTriangles::BotOrientation BagOfTriangles::Orientation(void) const{
     BagOfTriangles::BotOrientation ret = BagOfTriangles::Unoriented;
 
     switch (Internal()->orientation) {
@@ -760,7 +752,7 @@
 void BagOfTriangles::SetOrientation
 (
     BotOrientation orientation
-) throw() {
+){
     switch (orientation) {
         case Unoriented:
             Internal()->orientation = RT_BOT_UNORIENTED;
@@ -776,7 +768,7 @@
 }
 
 
-bool BagOfTriangles::FacesHaveNormals(void) const throw() {
+bool BagOfTriangles::FacesHaveNormals(void) const{
     return Internal()->bot_flags & RT_BOT_HAS_SURFACE_NORMALS;
 }
 
@@ -784,7 +776,7 @@
 void BagOfTriangles::SetFacesHaveNormals
 (
     bool facesHaveNormals
-) throw(bad_alloc) {
+){
     if (facesHaveNormals)
         Internal()->bot_flags |= RT_BOT_HAS_SURFACE_NORMALS;
     else
@@ -792,7 +784,7 @@
 }
 
 
-bool BagOfTriangles::UseFaceNormals(void) const throw() {
+bool BagOfTriangles::UseFaceNormals(void) const{
     return (Internal()->bot_flags & RT_BOT_USE_NORMALS) != 0;
 }
 
@@ -800,7 +792,7 @@
 void BagOfTriangles::SetUseFaceNormals
 (
     bool useFaceNormals
-) throw() {
+){
     if (useFaceNormals)
         Internal()->bot_flags |= RT_BOT_USE_NORMALS;
     else
@@ -808,7 +800,7 @@
 }
 
 
-bool BagOfTriangles::UseFloats(void) const throw() {
+bool BagOfTriangles::UseFloats(void) const{
     return (Internal()->bot_flags & RT_BOT_USE_FLOATS) != 0;
 }
 
@@ -816,7 +808,7 @@
 void BagOfTriangles::SetUseFloats
 (
     bool useFloats
-) throw() {
+){
     if (useFloats)
         Internal()->bot_flags |= RT_BOT_USE_FLOATS;
     else
@@ -824,7 +816,7 @@
 }
 
 
-size_t BagOfTriangles::NumberOfFaces(void) const throw() {
+size_t BagOfTriangles::NumberOfFaces(void) const{
     return Internal()->num_faces;
 }
 
@@ -832,7 +824,7 @@
 BagOfTriangles::Face BagOfTriangles::GetFace
 (
     size_t index
-) throw() {
+){
     assert(index < Internal()->num_faces);
 
     Face ret;
@@ -849,7 +841,7 @@
     const Vector3D& point1,
     const Vector3D& point2,
     const Vector3D& point3
-) throw(bad_alloc) {
+){
     BagOfTriangles::Face ret;
 
     if (!BU_SETJUMP) {
@@ -899,10 +891,8 @@
 
         ret = Face(bot, bot->num_faces - 1);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::BagOfTriangles::InsertFace");
-    }
 
     BU_UNSETJUMP;
 
@@ -912,7 +902,7 @@
 
 void BagOfTriangles::DeleteFace(
     size_t index
-) throw(bad_alloc) {
+){
     assert(index < Internal()->num_faces);
 
     if (!BU_SETJUMP) {
@@ -927,7 +917,7 @@
 const Object& BagOfTriangles::operator=
 (
     const Object& original
-) throw(bad_alloc) {
+){
     const BagOfTriangles* bot = dynamic_cast<const BagOfTriangles*>(&original);
     assert(bot != 0);
 
@@ -938,22 +928,22 @@
 }
 
 
-Object* BagOfTriangles::Clone(void) const throw(bad_alloc, std::bad_alloc) {
+Object* BagOfTriangles::Clone(void) const{
     return new BagOfTriangles(*this);
 }
 
 
-const char* BagOfTriangles::ClassName(void) throw() {
+const char* BagOfTriangles::ClassName(void){
     return "BagOfTriangles";
 }
 
 
-const char* BagOfTriangles::Type(void) const throw() {
+const char* BagOfTriangles::Type(void) const{
     return ClassName();
 }
 
 
-bool BagOfTriangles::IsValid(void) const throw() {
+bool BagOfTriangles::IsValid(void) const{
     return true;
 }
 
@@ -964,11 +954,11 @@
     directory*      pDir,
     rt_db_internal* ip,
     db_i*           dbip
-) throw() : Object(resp, pDir, ip, dbip), m_internalp(0) {}
+): Object(resp, pDir, ip, dbip), m_internalp(0) {}
 
 
 
-rt_bot_internal* BagOfTriangles::Internal(void) throw() {
+rt_bot_internal* BagOfTriangles::Internal(void){
     rt_bot_internal* ret;
 
     if (m_ip != 0)
@@ -982,7 +972,7 @@
 }
 
 
-const rt_bot_internal* BagOfTriangles::Internal(void) const throw() {
+const rt_bot_internal* BagOfTriangles::Internal(void) const{
     const rt_bot_internal* ret;
 
     if (m_ip != 0)
